Knowledge Bases
GET List sources
List all sources attached to a knowledge base.
Endpoint
GET https://api.aiconnectos.com/v1/bases/{baseId}/sourcesCursor-paginated, ordered by createdAt desc.
Path parameters
| Param | Type | Notes |
|---|---|---|
baseId | uuid | Knowledge base id. |
Query parameters
| Param | Type | Notes |
|---|---|---|
limit | int | 1-100, default 50. |
cursor | string | From the previous response's nextCursor. |
status | enum | Filter by "processing", "completed", or "failed". |
type | enum | Filter by source type. |
Response
{
"data": [
{
"id": "src_…",
"baseId": "kb_…",
"name": "Acme Engineering Handbook",
"type": "url",
"url": "https://example.com/handbook.pdf",
"status": "completed",
"chunksCount": 142,
"createdAt": "2026-05-25T20:14:00Z"
}
],
"nextCursor": null
}Example
curl 'https://api.aiconnectos.com/v1/bases/kb_8f3e…/sources?status=completed' \
-H "Authorization: Bearer $STRIDE_API_KEY"